﻿<?php
// MegaLettering translated comics PHP engine
// Copyright (c) 2003-2008 Lapo Luchini <lapo@lapo.it>

// Permission to use, copy, modify, and/or distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
// 
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
// ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
// OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

chdir('..');
require_once('db.inc.php');
require_once('image.inc.php');

define('PAGE_SIZE', 10);

$lang = 'it';
if (isset($_SERVER['HTTP_HOST']))
    $lang = substr($_SERVER['HTTP_HOST'], -2);
if (isset($_GET['lang']))
    $lang = substr($_GET['lang'], 0, 2);
$id = 0;
if (isset($_GET['id']) && is_numeric($_GET['id']))
    $id = (int)$_GET['id'];
$fum = 0;
if (isset($_GET['fum']) && is_numeric($_GET['fum']))
    $fum = (int)$_GET['fum'];
$debug = 0;
if (isset($_GET['debug']) && is_numeric($_GET['debug']))
    $debug = (int)$_GET['debug'];
if ($debug)
    $debug = '&amp;debug=1';
else
    $debug = '';

// controlla la lingua
require_once('gettext.inc.php');
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>MegaLettering editor rant_image</title>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF8" />
    <link rel="stylesheet" href="image/main.css" type="text/css"/>
    <link rel="shortcut icon" href="image/favicon.ico" type="image/x-icon"/>
</head>

<body bgcolor="#4C565E" text="#E4E4D6" link="#F6B33D" alink="#EB5252" vlink="#ECECA3">
<script type="text/javascript">
function selectImage(id) {
    window.opener.document.rant.immagine.selectedIndex = parseInt(id) + 1;
}
</script>
<?
   $uploaddir='rantimg/';

  move_uploaded_file($_FILES['rantimage']['tmp_name'], $uploaddir . $_FILES['rantimage']['name']);

?>

<?
//[clem] Imposto la tabella delle immagini.
?>
<table align="center" cellpadding="0" cellspacing="0" border="0" width="350" style="text-align: center;">
<?
// [clem] Voglio che prenda le immagini e le metta in una tabella con immagine sopra, nome immagine sotto, cliccabile, ogni due immagini a capo. Questa funzione crea la singola casella della tabella.
function CreaCasella($id, $name) {
    echo '<td align="center">[' . substr($name, 8) . "]<br/>\n";
    echo '  <img src="/image/mt-glow-top.gif" width="350" height="20" border="0" alt=""/><br/' . "\n";
    echo '  ><img src="/image/mt-glow-left.gif" width="25" height="245" border="0" alt=""/';
    echo '  ><a href="" onclick="selectImage(' . $id . '); return false"><img src="' . $name . '" width="300" height="245" border="0"></a><img src="/image/mt-glow-right.gif" width="25" height="245" border="0" alt=""/><br/' . "\n";
    echo '  ><img src="/image/mt-glow-bottom.gif" width="350" height="20" border="0" alt=""/' . "\n";
    echo '></td>' . "\n";
}
$rantimages = glob('rantimg/*');
sort($rantimages);
$o = count($rantimages);

//facciamogli mettere 10 img per pagina e se ce ne sono di più mette un link ad un'altra pagina generata dinamicamente

//[clem]qui fa la tabella in modo che ci stiano 2 img per riga; definisce un Upper Level Discriminator (reminiscenze PET ghghgh) che � pari a $seme +10; in pratica fa una tabella che contiene le immagini in array dalla posizione $seme a $seme +10; in italiano: mette solo 10 immagini in tabella.

$seme = 0;  // default seme=0
if (isset($_GET['seme']) && is_numeric($_GET['seme'])) // se c'è un valore in GET ed è numerico
   $seme = (int)$_GET['seme'];  // usa il valore passato in GET
$ULD = $seme + PAGE_SIZE;
if ($ULD > $o)
    $ULD = $o;
for ($i = $seme; $i < $ULD; ) {
    echo '<tr>';
    CreaCasella($i, $rantimages[$i++]);
    echo '</tr>';
}
// [clem]per ora mostra solo le img, la cliccabilità e inserizia la famo dopo, che Lapillo deve sbatacchiarsi il progetto Y.
?>
</table>
<br/>

<?
//genera i link per la pagina di img prima e dopo
for ($seme = 0, $pagina = 0; $seme < $o; $seme += PAGE_SIZE, $pagina++)
  echo "<a href=\"editor_rantimg.php?seme=$seme&amp;lato=$lato\">[$pagina]</a> ";
?>
<br/>
<form action="" method="post" enctype="multipart/form-data">
    <input type="hidden" name="MAX_FILE_SIZE" value="100000">
    <?=_('Select image to upload:')?><br/>
    <input type="file" name="rantimage"><br/>
    <input type="submit" value="Go!">
</form>
</body>
</html>
