<?php
chdir('..');
require_once('gettext.inc.php');
require_once('rewrite.inc.php');
@ob_end_clean();
$root = dirname(dirname($_SERVER['PHP_SELF']));
$gz = gzopen("$root/sitemap.xml.gz",'w9') or die('Cannot write file.');
gzwrite($gz, '<?xml version="1.0" encoding="UTF-8"?>
<urlset
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
                      http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd"
  xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
');

$q = $db->prepare("
    SELECT
	IDLanguage, IDStrip, UNIX_TIMESTAMP(Version) AS Date, Content AS Title
    FROM
	${dbprefix}_Titles
    WHERE
	Publish <= NOW()
    ORDER BY
	IDLanguage, IDStrip;");
$q->setFetchMode(PDO::FETCH_ASSOC);
while ($row = $q->fetch())
    gzwrite($gz, '<url>
  <loc>http://www.megatokyo.it' . GetURL($row['IDStrip'], $row['IDLanguage'], $row['Title']) . '</loc>
  <lastmod>' . gmdate('c', $row['Date']) . '</lastmod>
  <priority>0.5000</priority>
</url>
');

gzwrite($gz, "</urlset>\n");
gzclose($gz);

// warn Google that we've updated
$engines = array(
    'http://www.google.com/webmasters/sitemaps',
);
$url = '/ping?sitemap=http%3A%2F%2Fwww.megatokyo.it%2Fsitemap.xml.gz';
foreach ($engines as $e)
    http_head($e . $url);
?>
