﻿<?
$possible_ext = array('gif', 'jpg', 'png', 'jpeg');
$strip_url = 'http://www.megatokyo.com/strips/';
set_time_limit(60 /*1 minute*/); // this script gets executed from shell, where there is no default time limit!

header('Content-Type: text/plain;charset=ASCII');

chdir('..');
require_once('db.inc.php');
require_once('url_exists.inc.php');
if ($config['Local'])
    while (ob_end_flush())
	;

// find the latest strip in DB
$maxdbid = (int)myquery1("SELECT MAX(IDStrip) FROM ${dbprefix}_Strips;");

// parse latest homepage
if ($config['Local']) echo "Downloading homepage\n";
$f = fopen('http://www.megatokyo.com/', 'rb') or die('Server is down.');
$first = TRUE;
$maxid = 0;
mytransaction_begin();
if ($config['Local']) echo "Parsing titles\n";
while (!feof($f)) {
    $s = fgets($f);
    // parse the SELECT that contains all the dates, numbers, and titles
    if (preg_match_all('/<option[^>]*>(20[0-9]{2}-[0-1][0-9]-[0-3][0-9]) \[([0-9]{1,4})\] ([^<]+)<\/option>/', $s, $m, PREG_SET_ORDER)) {
	foreach($m as $match) {
	    $id = (int)$match[2];
	    $title = myescape($match[3]);
	    $date = mydate($match[1]);
	    if ($id > $maxid)
		$maxid = (int)$id;
	    myupdate("REPLACE INTO ${dbprefix}_Titles (IDLanguage, IDStrip, Content, Publish) VALUES (?, ?, ?, ?);",
		array('en', $id, $title, $date));
	}
    }
}
fclose($f);
mytransaction_commit();

// analyze each new strip
if ($config['Local']) echo "Finding filenames\n";
for ($id = $maxdbid + 1 ; $id <= $maxid; ++$id) {
    $name = 'http://www.megatokyo.com/strips/' . substr('000' . $id, -4);
    $real_name = '';
    // check for possible extentions
    foreach($possible_ext as $ext) {
	if (url_exists("$name.$ext")) {
	    $real_name = "$name.$ext";
	    break;
	}
    }
    // insert into database
    if (strlen($real_name) > 0) {
	if ($config['Local']) echo "Found: $real_name\n";
	myupdate("REPLACE INTO ${dbprefix}_Strips (IDStrip, URL) VALUES (?, ?);",
	    array($id, $real_name));
    }
}
if ($config['Local']) echo "Done\n";
?>
