﻿<?php
// Copyright (c) 2003-2008 Lapo Luchini <lapo@lapo.it>
// this file is not part of MegaLettering and is not covered by its license

define('TITLE_MAX_LEN', 40);

$header_extended = true;
require('header.inc.php');
require_once('polls.inc.php');

// optionally display the polls
$poll = PollsDisplay("?lang=$lang&amp;id=$id", $lang);
if ($poll != '') {
?>
<table width="700" border="0" bgcolor="#000000" cellspacing="0" cellpadding="0" summary="<?=_('polls')?>">
  <tr>
    <td width="700" valign="middle" align="center">
      <img src="/image/pix.gif" width="700" height="5" border="0" alt=""/>
      <table width="676" border="0" bgcolor="#23272b" cellspacing="2" cellpadding="2">
	<tr>
	  <td>
	    <font class="atso"><b>p o l l</b></font> <br/>
	    <div class="poll"><?=$poll?></div>
	  </td>
	</tr>
      </table>
      <img src="/image/pix.gif" width="1" height="10" border="0" alt=""/>
    </td>
  </tr>
</table>
<?
}
unset($poll);

// display the strip
if ($id_last < 1) {
?>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('strip')?>">
  <tr>
    <td width="700" valign="top" align="center" bgcolor="#ff0000">
      <tt><?=_('Error: there are no strips available for this language.')?></tt>
    </td>
  </tr>
</table>
<?
} elseif (!$strip = GetStrip($id, $lang)) {
?>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('strip')?>">
  <tr>
    <td width="700" valign="top" align="center" bgcolor="#ff0000">
      <tt><?=_('Error: I can\'t load the image.')?></tt>
    </td>
  </tr>
</table>
<?
} else {
    if ($lang_active && !$god)
	Stats_Strip_Update($lang, $id);
    $title = htmlspecialchars(sprintf(_('strip #%1$d: %2$s'), $id, $strip['title']));
?>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('strip')?>">
  <tr>
    <td width="700" valign="top" align="center" bgcolor="#b7bfc7"><img
      src="/image/pix.gif" width="1" height="10" border="0" alt=""/><img
      src="/image/mt-shadow-top.gif" width="<?=$strip['width']+50?>" height="25" border="0" alt=""/></td>
  </tr>
  <tr>
    <td width="700" valign="middle" align="center" bgcolor="#b7bfc7"><img
      src="/image/mt-shadow-left.gif" width="25" height="<?=$strip['height']?>" border="0" alt=""/><?=$god ? "<a href=\"/editor.php?lang=$lang&amp;id=$id\">" : ''?><img
      src="<?=SecureDownload($strip['filename'])?>" width="<?=$strip['width']?>" height="<?=$strip['height']?>" border="0" title="<?=$title?>" alt="<?=$title?>"/><?=$god ? '</a>' : ''?><img
      src="/image/mt-shadow-right.gif" width="25" height="<?=$strip['height']?>" border="0" alt=""/></td>
  </tr>
  <tr>
    <td width="700" valign="top" align="center" bgcolor="#b7bfc7"><img
      src="/image/mt-shadow-bottom.gif" width="<?=$strip['width']+50?>" height="25" border="0" alt=""/></td>
  </tr>
</table>
<?
    unset($title);
}
?>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('strip selection')?>">
  <tr valign="top">
    <td width="520" align="center" bgcolor="#b7bfc7" style="white-space: nowrap;">
      <script type="text/javascript"><!--
	google_ad_client = "pub-6976681572813877";
	// google_alternate_ad_url = "http://motoko.lapo.it/google_adsense_script.html";
	google_ad_width = 650; // 468
	google_ad_height = 15;
	google_ad_format = "468x15_0ads_al_s";
	google_ad_channel ="7893466930";
	google_color_border = "A4ABB2"; // "969DA3";
	google_color_bg = "A4ABB2";
	google_color_link = "000000";
	google_color_text = "000000";
	google_color_url = "008000";
      //--></script>
      <script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js"></script>
      <br/>
    </td>
  </tr>
</table>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('strip selection')?>">
  <tr valign="top">
    <td width="520" align="left" bgcolor="#b7bfc7" style="white-space: nowrap;">
      <form action="" name="nav">
	<img align="left" src="/image/pix.gif" width="25" height="1" border="0" alt=""/>
	<select name="strip_id" onchange="if (selectedIndex!=0) window.location.href='/?lang=<?=$lang?>&amp;id='+options[selectedIndex].value;">
	  <option value=""><?=_('MegaTokyo Archives')?></option>
<?
$limits = '';
if (is_numeric($_SESSION['titles']))
    $limits = 'AND IDStrip >= ? AND IDStrip <= ?';
$q = $db->prepare("
SELECT
    IDStrip, Content, Publish
FROM
    ${dbprefix}_Titles
WHERE
    IDLanguage = ?
    $limits
    $checkdata
ORDER BY
    IDStrip DESC");
$q->setFetchMode(PDO::FETCH_NUM);
$q->bindValue(1, $lang);
if ($limits) {
    $q->bindValue(2, max(0, $id - $_SESSION['titles']));
    $q->bindValue(3, $id + $_SESSION['titles']);
}
$q->execute();
while ($row = $q->fetch())
    echo "	    <option value=\"$row[0]\"" . ($row[0] == $id ? ' selected="selected"' : '') . '>' .
	iconv('ISO-8859-1', 'UTF-8', mydate($row[2], '%Y-%m-%d [' . substr("0000$row[0]", -4) . '] %a')) .
	' - ' . htmlspecialchars((strlen($row[1]) > TITLE_MAX_LEN ? substr($row[1], 0, TITLE_MAX_LEN - 1) . '…' : $row[1]), ENT_COMPAT, 'UTF-8') .
	"</option>\n";
$q->closeCursor();
unset($limits);
?>
	</select>
	<br/>
	<img align="left" src="/image/pix.gif" width="25" height="1" border="0" alt=""/>
	<input type="button" name="frst" value="«" onclick="nav_press_buttons(0);"/>
	<input type="button" name="prev" value="‹" onclick="nav_press_buttons(1);"/>
	<select name="thread" onchange="nav_update_buttons();">
	  <option value="«,‹,›,»,x,0"><?=_('Story threads')?></option>
<?
$q = $db->prepare("
SELECT DISTINCT
  ${dbprefix}_Characters.IDCharacter, ${dbprefix}_Characters.Name
FROM
  ${dbprefix}_Baloons
  INNER JOIN ${dbprefix}_Characters ON ${dbprefix}_Baloons.IDCharacter = ${dbprefix}_Characters.IDCharacter
WHERE
  ${dbprefix}_Baloons.IDStrip = ? AND ${dbprefix}_Characters.Thread = 1
ORDER BY
  ${dbprefix}_Characters.Name
");
$q->setFetchMode(PDO::FETCH_NUM);
$q->execute(array($id));
while ($row = $q->fetch()) {
    $p = array($lang, $id, $row[0]);
    $id_frst_char = find_character('MIN', '<', $p);
    if (!$id_frst_char) $id_frst_char = 'X';
    $id_prev_char = find_character('MAX', '<', $p);
    if (!$id_prev_char) $id_prev_char = 'X';
    $id_next_char = find_character('MIN', '>', $p);
    if (!$id_next_char) $id_next_char = 'X';
    $id_last_char = find_character('MAX', '>', $p);
    if (!$id_last_char) $id_last_char = 'X';
    if ($id_next_char == $id_last_char) $id_next_char = 'X';
    if ($id_prev_char == $id_frst_char) $id_prev_char = 'X';
    echo "	  <option value=\"$id_frst_char,$id_prev_char,$id_next_char,$id_last_char,c,$row[0]\"" . ((isset($_GET['char']) && ($_GET['char'] == $row[0])) ? ' selected="selected"' : '') . '>' . _('Strips with:') . ' ' . htmlspecialchars(_($row[1]), ENT_NOQUOTES, 'UTF-8') . "</option>\n";
    unset($id_frst_char, $id_prev_char, $id_next_char, $id_last_char);
}
$q->closeCursor();
$q = $db->prepare("
SELECT
  ${dbprefix}_ThreadElements.IDThread, ${dbprefix}_Threads.Name
FROM
  ${dbprefix}_ThreadElements
  INNER JOIN ${dbprefix}_Threads ON ${dbprefix}_ThreadElements.IDThread = ${dbprefix}_Threads.IDThread
WHERE
  ${dbprefix}_ThreadElements.IDStrip = ?
ORDER BY
  ${dbprefix}_Threads.Name
");
$q->setFetchMode(PDO::FETCH_NUM);
$q->execute(array($id));
while ($row = $q->fetch()) {
    $id_frst_story = find_story('MIN', "${dbprefix}_ThreadElements.IDThread = $row[0] AND ${dbprefix}_ThreadElements.IDStrip < $id"); //TODO use bindings
    if (!$id_frst_story) $id_frst_story = 'X';
    $id_prev_story = find_story('MAX', "${dbprefix}_ThreadElements.IDThread = $row[0] AND ${dbprefix}_ThreadElements.IDStrip < $id"); //TODO use bindings
    if (!$id_prev_story) $id_prev_story = 'X';
    $id_next_story = find_story('MIN', "${dbprefix}_ThreadElements.IDThread = $row[0] AND ${dbprefix}_ThreadElements.IDStrip > $id"); //TODO use bindings
    if (!$id_next_story) $id_next_story = 'X';
    $id_last_story = find_story('MAX', "${dbprefix}_ThreadElements.IDThread = $row[0] AND ${dbprefix}_ThreadElements.IDStrip > $id"); //TODO use bindings
    if (!$id_last_story) $id_last_story = 'X';
    if ($id_next_story == $id_last_story) $id_next_story = 'X';
    if ($id_prev_story == $id_frst_story) $id_prev_story = 'X';
    echo "	  <option value=\"$id_frst_story,$id_prev_story,$id_next_story,$id_last_story,s,$row[0]\"" . ((isset($_GET['story']) && ($_GET['story'] == $row[0])) ? ' selected="selected"' : '') . '>' . _('Strips in:') . ' ' . htmlspecialchars(_($row[1]), ENT_NOQUOTES, 'UTF-8') . "</option>\n";
    unset($id_frst_story, $id_prev_story, $id_next_story, $id_last_story);
}
$q->closeCursor();
?>
	</select>
	<input type="button" name="next" value="›" onclick="nav_press_buttons(2);"/>
	<input type="button" name="last" value="»" onclick="nav_press_buttons(3);"/>
	<br/>
	<img align="left" src="/image/pix.gif" width="25" height="10" border="0" alt=""/>
	<img align="bottom" src="/image/pix.gif" width="1" height="5" border="0" alt=""/><br/>
	<font class="atsv"><a href="/striptitles.php?lang=<?=$lang?>"><font color="#000000"><?=_('Complete strip list.')?></font></a></font>
<?
$q = $db->prepare("SELECT Discussione FROM ${dbprefix}_Titles WHERE IDLanguage = ? AND IDStrip = ? $checkdata");
$q->setFetchMode(PDO::FETCH_NUM);
$q->execute(array($lang, $id));
$row = $q->fetch();
if (strlen($row[0]) > 0)
    echo
	"	<img align=\"left\" src=\"image/pix.gif\" width=\"25\" height=\"10\" border=\"0\" alt=\"\"/>\n" .
	"	<img align=\"bottom\" src=\"image/pix.gif\" width=\"1\" height=\"5\" border=\"0\" alt=\"\"/><br/>\n" .
	"	<font class=\"atsv\"><a href=\"$row[0]\"><font color=\"#000000\">" . _('In the forum there is a thread about the translation of this strip.') . "</font></a></font>\n";
//TODO? free di $q
?>
      </form>
    </td>
<?
echo '    <td width="180" align="right" bgcolor="#b7bfc7">' . "\n";
if ($id_last && ($id_last != $id))
    echo '      <a href="' . GetURL($id_last, $lang) . '"><img border="0" src="/image/mt-bottom-home.gif" width="31" height="44" alt="home"/></a>' . "\n";
if ($id != 1)
    echo '      <a href="' . GetURL(1, $lang) . '"><img border="0" src="/image/mt-bottom-start.gif" width="31" height="44" alt="start"/></a>' . "\n";
if ($id_prev && ($id_prev != $id))
    echo '      <a href="' . GetURL($id_prev, $lang) . '"><img border="0" src="/image/mt-bottom-prev.gif" width="31" height="44" alt="prev"/></a>' . "\n";
if ($id_next && ($id_next != $id))
    echo '      <a href="' . GetURL($id_next, $lang) . '"><img border="0" src="/image/mt-bottom-next.gif" width="31" height="44" alt="next"/></a>' . "\n";
echo '     <img src="/image/pix.gif" width="25" height="1" border="0" alt=""/>' . "\n";
echo '   </td>' . "\n";
?>
  </tr>
</table>
<br/>
<?
$q = $db->prepare("
    SELECT
	${dbprefix}_Baloons.Location,
	${dbprefix}_Characters.Name,
	${dbprefix}_Texts.Content
    FROM
	${dbprefix}_Baloons LEFT JOIN
	${dbprefix}_Texts ON ${dbprefix}_Baloons.IDBaloon = ${dbprefix}_Texts.IDBaloon LEFT JOIN
	${dbprefix}_Titles ON ${dbprefix}_Baloons.IDStrip = ${dbprefix}_Titles.IDStrip LEFT JOIN
	${dbprefix}_Characters ON ${dbprefix}_Baloons.IDCharacter = ${dbprefix}_Characters.IDCharacter
    WHERE
	${dbprefix}_Baloons.IDStrip = ? AND
	${dbprefix}_Texts.IDLanguage = ? AND
	${dbprefix}_Titles.IDLanguage = ?
    ORDER BY
	${dbprefix}_Baloons.IDStrip, ${dbprefix}_Baloons.Location, ${dbprefix}_Baloons.IDBaloon
	;");
$q->execute(array($id, $lang, $lang));
$q->setFetchMode(PDO::FETCH_NUM);
if ($row = $q->fetch()) {
?>
<table style="width: 700px; background-color: #000000; border: 0px;" cellspacing="0" cellpadding="0" summary="storyboard">
  <tr>
    <td style="width: 700px;" valign="middle" align="left">
      <font class="atso"><b>s t o r y b o a r d</b></font><br/>
<? if ($lang == 'it') { include('search.inc.php'); } ?>
      <div style="padding: 10px;">
        <div id="storyboard" style="height: 100px; z-index: 1;" onclick="storyboard_switch();"><div id="tooltip"><?=_('click to expand')?></div><?
    $last_panel = -1;
    do {
	$loc = (int)$row[0];
	$loc_1 = (int)($loc / 100);
	$loc_2 = (int)($loc % 100);
	if ($loc_1 != $last_panel) {
	    echo '==== ' . _('panel') . " #$loc_1<br/>\n";
	    $last_panel = $loc_1;
	}
	if ($loc == 0)
	    echo '** ' . _('WARNING: unset location') . "<br/>\n";
	$char = $row[1] == '' ? '?' : _($row[1]);
	$text = preg_replace('/-\r?\n\s*((ch|s)an|kun)/', '-\1', $row[2]); // re-unite words with theyr suffix on the new line
	$text = preg_replace('/-\r?\n/', '', $text); // re-unite words separated by "-"; this has the exception to reunite some words that happen to have a "-" as a separator that is also used as newline char, but what the hell
	$text = preg_replace('/\r?\n/', ' ', $text); // remove other newlines and put a space in their place
	$text = preg_replace('/\$<[a-z][a-z0-9_]*>/', '', $text); // remove styles (TODO: convert them to HTML, someday)
	echo htmlspecialchars("$char: $text", ENT_NOQUOTES, 'UTF-8') . "<br/>\n";
    } while ($row = $q->fetch());
?></div>
      </div>
    </td>
  </tr>
</table>
<br/>
<?
    unset($last_panel, $loc, $loc_1, $loc_2, $text);
}
$q->closeCursor();
?>
<table width="700" border="0" bgcolor="#000000" cellspacing="0" cellpadding="0" summary="<?=_('newsbox')?>">
  <tr>
    <td width="700" valign="middle" align="center">
      <img src="/image/mt-blk_bar-newsbox.gif" width="700" height="18" border="0" alt=""/> <br/>
      <img src="/image/pix.gif" width="700" height="5" border="0" alt=""/>
      <table width="676" border="0" bgcolor="#23272b" cellspacing="2" cellpadding="2">
	<tr>
	  <td width="675" valign="top" align="left">
	    <font class="atso"><b>l i n k</b></font> <br/>
	    <table width="670" border="0" bgcolor="#23272b" cellspacing="0" cellpadding="0">
<?
$q = $db->prepare("
    SELECT
	URL, Title, Type, Description, Publish
    FROM
	${dbprefix}_Links
    WHERE
	IDLanguage = ? AND
	Active = 1
	$checkdata
    ORDER BY
	Publish DESC
    LIMIT 5;
");
$q->execute(array($lang));
$q->setFetchMode(PDO::FETCH_ASSOC);
while ($row = $q->fetch()) {
?>
	      <tr valign="top" align="left">
		<td width="10"><img src="image/pix-litegray.gif" width="5" height="5" border="0" alt=""/></td>
		<td width="660"><font class="atsv"><a href="<?=$row['URL']?>"><?=htmlspecialchars($row['Title'])?></a>
		  - [<?=htmlspecialchars($row['Type'])?>] - <?=htmlspecialchars($row['Description'])?></font>
		  <font class="atsx">&nbsp;[<?=$row['Publish']?>]</font></td>
	      </tr>
<?
}
$q->closeCursor();
?>
	    </table>
	    <center><font class="atsv"><a href="/links.php?lang=<?=$lang?>">…<?=_('previous links')?>…</a></font></center>
	  </td>
	</tr>
      </table>
<? if ($lang == 'it') { /*Nuvolelettriche*/ ?>
      <img src="/image/pix.gif" width="1" height="10" border="0" alt=""/>
      <div style="width: 676px;">
<?
$ctx = stream_context_create(array('http' => array(
    'header' => "Referer: http://www.megatokyo.it$_SERVER[REQUEST_URI]\r\n"
)));
@readfile('http://www.nuvolelettriche.it/feed_include.php?d=h&i=8', false, $ctx);
?>
      </div>
<? } ?>
      <img src="/image/pix.gif" width="1" height="10" border="0" alt=""/>
    </td>
  </tr>
</table>
<br/>
<?
// first search the max Strip ID in the two columns
$q = $db->prepare("
    SELECT Position, MAX(IDStrip) AS MaxID
    FROM ${dbprefix}_Console
    WHERE IDLanguage = ? AND IDStrip <= ?
    GROUP BY Position
    ORDER BY Position");
$q->execute(array($lang, $id));
$console = array();
while ($row = $q->fetch(PDO::FETCH_NUM))
    $console[$row[0]] = $row[1];
$q->closeCursor();
foreach(array_keys($console) as $side)
    $console[$side] = myqueryR("
	SELECT
	    ${dbprefix}_Console.Username AS Username, ${dbprefix}_Staff.email AS email,
	    ${dbprefix}_Console.Image AS Image,
	    ${dbprefix}_Console.ImageLink AS ImageLink,
	    ${dbprefix}_Console.ImageAlt AS ImageAlt,
	    ${dbprefix}_Console.Title AS Title,
	    ${dbprefix}_Console.Content AS Content,
	    UNIX_TIMESTAMP(${dbprefix}_Titles.Publish) AS Publish
	FROM
	    ${dbprefix}_Console LEFT JOIN
	    ${dbprefix}_Staff ON ${dbprefix}_Console.Username = ${dbprefix}_Staff.Username INNER JOIN
	    ${dbprefix}_Titles ON ${dbprefix}_Console.IDStrip = ${dbprefix}_Titles.IDStrip AND ${dbprefix}_Console.IDLanguage = ${dbprefix}_Titles.IDLanguage
	WHERE
	    ${dbprefix}_Console.IDLanguage = ? AND
	    ${dbprefix}_Console.Position = ? AND
	    ${dbprefix}_Console.IDStrip = ?;",
	array($lang, $side, $console[$side]), PDO::FETCH_ASSOC);
if (count($console) > 0) {
?>
<table width="700" border="0" cellspacing="0" cellpadding="0" summary="<?=_('console')?>">
  <tr align="left" valign="middle" bgcolor="#000000">
    <td width="700" colspan="4"><img src="/image/mt-blk_bar-console.gif" width="700" height="18" alt="console"/></td>
  </tr>
  <tr align="center" valign="middle" bgcolor="#757B81">
    <td width="335"><? if (isset($console['left'])) { ?><tt><b><font color="#F6B33D" size="+3">&lt;<a href="mailto:<?=$console['left']['email']?>"><?=$console['left']['Username']?></a>&gt;</font></b></tt><? } ?></td>
    <td width="10"><img src="/image/pix.gif" width="10" height="1" border="0" alt=""/></td>
    <td width="10"><img src="/image/pix.gif" width="10" height="1" border="0" alt=""/></td>
    <td width="335"><? if (isset($console['right'])) { ?><tt><b><font color="#F6B33D" size="+3">&lt;<a href="mailto:<?=$console['right']['email']?>"><?=$console['right']['Username']?></a>&gt;</font></b></tt><? } ?></td>
  </tr>
  <tr align="center" valign="top">
    <td colspan="2">
      <? if (isset($console['left']) && strlen($console['left']['Image']) > 0) { ?><img src="/image/mt-glow-top.gif" width="350" height="20" border="0" alt=""/><br/>
      <img src="/image/mt-glow-left.gif" width="25" height="245" border="0" alt=""/><? if (strlen($console['left']['ImageLink']) > 0) { ?><a href="<?=$console['left']['ImageLink']?>"><? } ?><img src="<?=SecureDownload($console['left']['Image'])?>" border="0" alt="<?=htmlspecialchars($console['left']['ImageAlt'], ENT_COMPAT, "UTF-8")?>" width="300" height="245"/><? if (strlen($console['left']['ImageLink']) > 0) echo '</a>'; ?><img src="/image/mt-glow-right.gif" width="25" height="245" border="0" alt=""/><br/>
      <img src="/image/mt-glow-bottom.gif" width="350" height="20" border="0" alt=""/><? } ?>
    </td>
    <td colspan="2">
      <? if (isset($console['right']) && strlen($console['right']['Image']) > 0) { ?><img src="/image/mt-glow-top.gif" width="350" height="20" border="0" alt=""/><br/>
      <img src="/image/mt-glow-left.gif" width="25" height="245" border="0" alt=""/><? if (strlen($console['right']['ImageLink']) > 0) { ?><a href="<?=$console['right']['ImageLink']?>"><? } ?><img src="<?=SecureDownload($console['right']['Image'])?>" border="0" alt="<?=htmlspecialchars($console['right']['ImageAlt'], ENT_COMPAT, "UTF-8")?>" width="300" height="245"/><? if (strlen($console['right']['ImageLink']) > 0) echo '</a>'; ?><img src="/image/mt-glow-right.gif" width="25" height="245" border="0" alt=""/><br/>
      <img src="/image/mt-glow-bottom.gif" width="350" height="20" border="0" alt=""/><? } ?>
    </td>
  </tr>
  <tr align="center" valign="middle" bgcolor="#757b81">
    <td>
      <img src="/image/pix.gif" width="1" height="5" border="0" alt=""/><br/>
      <font class="vtbo"><? if (isset($console['left'])) { ?><b>"<?=htmlspecialchars($console['left']['Title'], ENT_COMPAT, "UTF-8")?>"</b><? } ?></font>
      <img src="/image/pix.gif" width="1" height="5" border="0" alt=""/><br/>
    </td>
    <td/>
    <td/>
    <td>
      <img src="/image/pix.gif" width="1" height="5" border="0" alt=""/><br/>
      <font class="vtbo"><? if (isset($console['right'])) { ?><b>"<?=htmlspecialchars($console['right']['Title'], ENT_COMPAT, "UTF-8")?>"</b><? } ?></font>
      <img src="/image/pix.gif" width="1" height="5" border="0" alt=""/><br/>
    </td>
  </tr>
  <tr valign="top" style="text-align: justify;">
    <td width="335" class="vtmv"><?
    if (isset($console['left'])) {
	echo '<b>' . iconv("ISO-8859-1", "UTF-8", strftime('%A %Y-%m-%d', $console['left']['Publish'])) . "</b><br/>\n";
	echo "      <br/>\n";
	$txt = $console['left']['Content'];
	// add BRs only if there is no BR already
	if (!preg_match('/<\s*br\s*\/?>/i', $txt))
	    $txt = preg_replace('/\r?\n/', "<br/>\n      ", $txt);
	echo "$txt\n";
    } ?>
    </td>
    <td/>
    <td/>
    <td width="335" class="vtmv"><?
    if (isset($console['right'])) {
	echo '<b>' . iconv("ISO-8859-1", "UTF-8", strftime('%A %Y-%m-%d', $console['right']['Publish'])) . "</b><br/>\n";
	echo "      <br/>\n";
	$txt = $console['right']['Content'];
	// add BRs only if there is no BR already
	if (!preg_match('/<\s*br\s*\/?>/i', $txt))
	    $txt = preg_replace('/\r?\n/', "<br/>\n      ", $txt);
	echo "$txt\n";
    } ?>
    </td>
  </tr>
</table>
<br/>
<script type="text/javascript"><!--
function nav_update_buttons() {
    var c = document.nav.thread.options[document.nav.thread.selectedIndex].value.split(',');
    document.nav.frst.value = c[0];
    document.nav.frst.disabled = isNaN(parseInt(c[0]));
    document.nav.prev.value = c[1];
    document.nav.prev.disabled = isNaN(parseInt(c[1]));
    document.nav.next.value = c[2];
    document.nav.next.disabled = isNaN(parseInt(c[2]));
    document.nav.last.value = c[3];
    document.nav.last.disabled = isNaN(parseInt(c[3]));
}

function nav_press_buttons(button) {
    // actually go to the required page
    var c = document.nav.thread.options[document.nav.thread.selectedIndex].value.split(',');
    var url = '/?lang=<?=$lang?>&id=' + parseInt(c[button]);
    if (c[4] == 'c')
	url += '&char=' + c[5];
    else if (c[4] == 's')
	url += '&story=' + c[5];
    window.location.href = url;
}

function storyboard_switch() {
    var storyboard = document.getElementById('storyboard');
    var tooltip = document.getElementById('tooltip');
    if (storyboard.clientHeight < 100) {
	storyboard.style.height == '';
	storyboard.style.overflow = 'visible';
	tooltip.textContent = '';
    } else if (storyboard.style.height == '') {
	storyboard.style.height = '100px';
	storyboard.style.overflow = 'hidden';
	tooltip.textContent = '<?=_('click to expand')?>';
    } else {
	storyboard.style.height = '';
	storyboard.style.overflow = 'visible';
	tooltip.textContent = '<?=_('click to shrink')?>';
    }
    return true;
}

window.onload = function() {
    // an initial update is kinda needed in pages that contains a char/story thread in GET
    nav_update_buttons();
    return true;
}
//--></script>
<?
}
include_once('footer.inc.php');
?>
